| CMSIS-DSP Verison 1.4.1 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_rfft_instance_q15 Struct Reference

Instance structure for the Q15 RFFT/RIFFT function.

## Data Fields
uint32_t | fftLenReal
uint32_t | fftLenBy2
uint8_t | ifftFlagR
uint8_t | bitReverseFlagR
uint32_t | twidCoefRModifier
q15_t * | pTwiddleAReal
q15_t * | pTwiddleBReal
arm_cfft_radix4_instance_q15 * | pCfft

## Field Documentation

uint8_t arm_rfft_instance_q15::bitReverseFlagR

flag that enables (bitReverseFlagR=1) or disables (bitReverseFlagR=0) bit reversal of output.

Referenced by arm_rfft_init_q15(), and arm_rfft_q15().

uint32_t arm_rfft_instance_q15::fftLenBy2

length of the complex FFT.

Referenced by arm_rfft_init_q15(), and arm_rfft_q15().

uint32_t arm_rfft_instance_q15::fftLenReal

length of the real FFT.

Referenced by arm_rfft_init_q15().

uint8_t arm_rfft_instance_q15::ifftFlagR

flag that selects forward (ifftFlagR=0) or inverse (ifftFlagR=1) transform.

Referenced by arm_rfft_init_q15(), and arm_rfft_q15().

arm_cfft_radix4_instance_q15* arm_rfft_instance_q15::pCfft

points to the complex FFT instance.

Referenced by arm_rfft_init_q15(), and arm_rfft_q15().

q15_t* arm_rfft_instance_q15::pTwiddleAReal

points to the real twiddle factor table.

Referenced by arm_rfft_init_q15(), and arm_rfft_q15().

q15_t* arm_rfft_instance_q15::pTwiddleBReal

points to the imag twiddle factor table.

Referenced by arm_rfft_init_q15(), and arm_rfft_q15().

uint32_t arm_rfft_instance_q15::twidCoefRModifier

twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Referenced by arm_rfft_init_q15(), and arm_rfft_q15().